oracle.dbtools.plugin.api.servlet

## Interface EntityTag.Builder

- All Superinterfaces:
    Appendable
  Enclosing interface:
    EntityTag

      public static interface EntityTag.Builder
      extends Appendable

  Build an `EntityTag` instance
  Author:
    cdivilly

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EntityTag.Builder` | `append(char c)`
    `EntityTag.Builder` | `append(CharSequence text)` Append text to the ETag value
    `EntityTag.Builder` | `append(CharSequence text, int start, int length)`
    `EntityTag` | `build()` Build the immutable `EntityTag` instance
    `EntityTag.Builder` | `digest(boolean digest)` Indicates whether the value should be hashed by a secure hash.
    `EntityTag.Builder` | `strength(EntityTag.Strength strength)` Set `EntityTag.Strength` of the `EntityTag`.

- - ### Method Detail

    - #### strength

          EntityTag.Builder strength(EntityTag.Strength strength)

      Set `EntityTag.Strength` of the `EntityTag`. The default value is `EntityTag.Strength.STRONG`
      Parameters:
        `strength` - The Entity Tag strength
      Returns:
        self

    - #### append

          EntityTag.Builder append(char c)

      Specified by:
        `append` in interface `Appendable`

    - #### append

          EntityTag.Builder append(CharSequence text,
                                   int start,
                                   int length)

      Specified by:
        `append` in interface `Appendable`

    - #### append

          EntityTag.Builder append(CharSequence text)

      Append text to the ETag value
      Specified by:
        `append` in interface `Appendable`
      Parameters:
        `text` - The text to append
      Returns:
        self

    - #### digest

          EntityTag.Builder digest(boolean digest)

      Indicates whether the value should be hashed by a secure hash. If a value is not hashed it may provide a vector for potentially sensitive data, e.g. unique identifiers, personal identifiers etc. to be leaked. The default is to hash values.
      Parameters:
        `digest` - If true, values will be securely hashed, if false they will not
      Returns:
        self

    - #### build

          EntityTag build()

      Build the immutable `EntityTag` instance
      Returns:
        `EntityTag` instance

Copyright © 2010, 2022, Oracle and/or its affiliates.